<?php

	# $Id: example_address.php,v 1.1 2007/02/13 04:27:36 asc Exp $

	include("fpdf.php");
	include("pmPDF.php");

	$args = array('folds' => 1, 'borders' => 0);
	$pdf = new pmPDF($args);

	$pdf->SetFont('Helvetica');
	$pdf->SetFontSize(10);

	$addr = "475 Sansome\nSan Francisco CA\n94111"; 

	# 
	
	$zoom = 3;
	$location = urlencode(str_replace("\n", " ", $addr));
	$req = "http://api.local.yahoo.com/MapsService/V1/mapImage?appid=YahooDemo&location={$location}&zoom={$zoom}&image_width=500&image_type=png";

	$res = get($req);

	$xml = new SimpleXMLElement($res);

	if (! $xml){
		return;
	}

	$tmp = tempnam("/tmp", time()) . ".png";

	$fh  = fopen($tmp, "w");
	fwrite($fh, get($xml));
	fclose($fh);

	$pdf->add_image($tmp, 2, array('h' => 1));
	$pdf->add_text($addr, 3);

	$pdf->add_image($tmp, 4, array('h' => 1));
	$pdf->add_text($addr, 4, array('x' => 1.25, 'y' => .25));

	$pdf->add_image($tmp, 6, array('h' => .75));
	$pdf->add_text($addr, 6, array('x' => 1, 'y' => .25));

	$pdf->add_image($tmp, 6, array('x' => 1, 'h' => .75));
	$pdf->add_text($addr, 6,  array('x' => 1, 'y' => 1.25,'resume' => false));

	$pdf->add_image($tmp, 6, array('x' => 2, 'h' => .75));
	$pdf->add_text($addr, 6, array('x' => 1, 'y' => 2.25, 'resume' => false));

	$res = $pdf->add_image($tmp, 7);
	$pdf->add_text($addr, 7, array('y' => $res['y']));

	$pdf->Output();
	unlink($tmp);

	# 

	function get($url){
		$ch  = curl_init();

		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

		$res = curl_exec($ch);
		return $res;
	}
?>